com.mapinfo.midev.feature

## Interface IMultiFeatureCollectionMetadata

All Superinterfaces:
  Serializable

    public interface IMultiFeatureCollectionMetadata
    extends Serializable

Metadata that describes an `IMultiFeatureCollection`.

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getCount()` Returns the number of `IFeatureCollection`s contained in the `IMultiFeatureCollection` this metadata describes.
`String` `getDescription()` Returns a textual description of the `IMultiFeatureCollectionMetadata` associated with this metadata.
`Metadata` `getMetadata()` Returns a Metadata object that can be used to associate additional, arbitrary metadata with the `IMultiFeatureCollectionMetadata`.
`Collection` `getNames()` Returns a collection of names used to identify this `IMultiFeatureCollectionMetadata`.
`boolean` `isCountKnown()` Returns `true` if this IMultiFeatureCollection known how many IFeatureCollections it contains, `false` if not.

### Method Detail

#### getNames

    Collection getNames()

Returns a collection of names used to identify this `IMultiFeatureCollectionMetadata`. An `IMultiFeatureCollectionMetadata` may have several names, typically assigned by different authorities. The interface places no restrictions on the structure, meaning or uniqueness of names associated with an `IMultiFeatureCollectionMetadata`.

Returns:
  a collection of names used to identify this `IMultiFeatureCollectionMetadata`.

#### getDescription

    String getDescription()

Returns a textual description of the `IMultiFeatureCollectionMetadata` associated with this metadata.

Returns:
  a textual description of the `IMultiFeatureCollectionMetadata` associated with this metadata.

#### isCountKnown

    boolean isCountKnown()

Returns `true` if this IMultiFeatureCollection known how many IFeatureCollections it contains, `false` if not.

Returns:
  `true` if this IMultiFeatureCollection known how many IFeatureCollections it contains, `false` if not.
See Also:
  `IMultiFeatureCollectionMetadata.getCount()`

#### getCount

    long getCount()

Returns the number of `IFeatureCollection`s contained in the `IMultiFeatureCollection` this metadata describes.

Returns:
  the number of `IFeatureCollection`s contained in the `IMultiFeatureCollection` this metadata describes.
Throws:
  `UnsupportedOperationException` - if the count is not known (check `IMultiFeatureCollectionMetadata.isCountKnown()` before calling this method).

#### getMetadata

    Metadata getMetadata()

Returns a Metadata object that can be used to associate additional, arbitrary metadata with the `IMultiFeatureCollectionMetadata`.

Returns:
  a Metadata object that can be used to associate additional, arbitrary metadata with the `IMultiFeatureCollectionMetadata`.